"use strict";
const command = require("./lib/command");
const common = require("./lib/common");
const errHandler = require("./lib/errorhandler");
const loader = require("./lib/loader");
// Set app root
common.APP_ROOT = __dirname;
var Bootstrap;
(function (Bootstrap) {
    function begin() {
        return command.getCommand().then((cmd) => {
            common.EXEC_PATH = cmd.execPath;
            return loader.load(cmd.execPath, cmd.args).then((tfCommand) => {
                return tfCommand.showBanner().then(() => {
                    return tfCommand.ensureInitialized().then((executor) => {
                        return executor(cmd);
                    });
                });
            });
        });
    }
    Bootstrap.begin = begin;
})(Bootstrap || (Bootstrap = {}));
Bootstrap.begin().then(() => {
}).catch((reason) => {
    errHandler.errLog(reason);
});
