"use strict";
const extension_composer_1 = require("../../extension-composer");
const vso_manifest_builder_1 = require("./vso-manifest-builder");
const Q = require("q");
class VSSExtensionComposer extends extension_composer_1.ExtensionComposer {
    getBuilders() {
        return super.getBuilders().concat([new vso_manifest_builder_1.VsoManifestBuilder(this.settings.root)]);
    }
    validate(components) {
        return super.validate(components).then((result) => {
            let data = components.builders.filter(b => b.getType() === vso_manifest_builder_1.VsoManifestBuilder.manifestType)[0].getData();
            if (data.contributions.length === 0 && data.contributionTypes.length === 0) {
                result.push("Your extension must define at least one contribution or contribution type.");
            }
            return Q.resolve(result);
        });
    }
}
exports.VSSExtensionComposer = VSSExtensionComposer;
