"use strict";
const extPubBase = require("./default");
const trace = require('../../../lib/trace');
function getCommand(args) {
    return new ExtensionPublisherDelete(args);
}
exports.getCommand = getCommand;
class ExtensionPublisherDelete extends extPubBase.ExtensionPublisherBase {
    constructor() {
        super(...arguments);
        this.description = "Delete a Visual Studio Services Market publisher.";
    }
    getArgs() {
        return ["publisher"];
    }
    exec() {
        let galleryApi = this.webApi.getGalleryApi(this.webApi.serverUrl);
        return this.commandArgs.publisher.val().then((publisherName) => {
            return galleryApi.deletePublisher(publisherName).then(() => {
                return {
                    publisher: {
                        publisherName: publisherName
                    }
                };
            });
        });
    }
    friendlyOutput(data) {
        trace.success("\n=== Completed operation: delete publisher ===");
        trace.info(" - Name: %s", data.publisher.publisherName);
    }
}
exports.ExtensionPublisherDelete = ExtensionPublisherDelete;
