"use strict";
const extBase = require("./default");
const publishUtils = require("./_lib/publish");
function getCommand(args) {
    return new ExtensionShow(args);
}
exports.getCommand = getCommand;
class ExtensionShow extends extBase.ExtensionBase {
    constructor() {
        super(...arguments);
        this.description = "Show info about a published Visual Studio Services Extension.";
    }
    getHelpArgs() {
        return ["publisher", "extensionId", "vsix"];
    }
    exec() {
        let galleryApi = this.webApi.getGalleryApi(this.webApi.serverUrl);
        return this.identifyExtension().then((extInfo) => {
            let sharingMgr = new publishUtils.SharingManager({}, galleryApi, extInfo);
            return sharingMgr.getExtensionInfo();
        });
    }
}
exports.ExtensionShow = ExtensionShow;
