"use strict";
const tfcommand_1 = require("../lib/tfcommand");
const version = require("../lib/version");
const trace = require("../lib/trace");
function getCommand(args) {
    return new Version(args);
}
exports.getCommand = getCommand;
class Version extends tfcommand_1.TfCommand {
    constructor(args) {
        super(args, false);
        this.description = "Output the version of this tool.";
    }
    getHelpArgs() { return []; }
    exec() {
        trace.debug("version.exec");
        return version.getTfxVersion();
    }
    friendlyOutput(data) {
        trace.info("Version %s", data.toString());
    }
}
exports.Version = Version;
