"use strict";
const witBase = require("./default");
function getCommand(args) {
    return new WorkItemShow(args);
}
exports.getCommand = getCommand;
class WorkItemShow extends witBase.WorkItemBase {
    constructor() {
        super(...arguments);
        this.description = "Show Work Item details.";
    }
    getHelpArgs() {
        return ["workItemId"];
    }
    exec() {
        var witapi = this.webApi.getWorkItemTrackingApi();
        return this.commandArgs.workItemId.val().then((workItemId) => {
            return witapi.getWorkItem(workItemId);
        });
    }
    friendlyOutput(workItem) {
        return witBase.friendlyOutput([workItem]);
    }
}
exports.WorkItemShow = WorkItemShow;
