"use strict";
const prompt = require("prompt");
const Q = require("q");
prompt.delimiter = "";
prompt.message = "> ";
var queue = [];
// This is the read lib that uses Q instead of callbacks.
function read(name, message, silent = false) {
    let promise = Q.Promise((resolve, reject) => {
        let schema = {
            properties: {}
        };
        schema.properties[name] = {
            required: true,
            description: message + ":",
            hidden: silent
        };
        Promise.all(queue.filter(x => x !== promise)).then(() => {
            prompt.start();
            prompt.get(schema, (err, result) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve(result[name]);
                }
                queue.shift();
            });
        });
    });
    queue.unshift(promise);
    return promise;
}
exports.read = read;
